import { Meta } from '@storybook/addon-docs/blocks'

<Meta title='@dxtmisha/en/styles/color/outlineOpacity - Set outline opacity'/>

# `outlineOpacity`

The mixin sets the `--sys-outline-opacity` variable, allowing for independent control of outline transparency.

**Parameters:**
- `$opacity: Number | String` — transparency value [0..1] or CSS variable.
- `$important: Boolean` [false] — if `true`, adds `!important`.
- `$init: Boolean` [false] — if `true`, immediately applies the `outline-color` property.

## Example

```scss
@use '@dxtmisha/styles';

.outline-faded {
  @include styles.outlineOpacity(0.5);
}

.outline-faded-important {
  @include styles.outlineOpacity(var(--my-opacity), true, true);
}
```
